package net.aetherial.gis.garmin;

import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import java.util.*;
import javax.comm.*;
import net.aetherial.gis.garmin.*;

class ConsoleAutoDetectFrame extends JFrame implements ActionListener 
{
	private ConsoleConfig config;
	private JTextField serverPort, serverName; 
	private JComboBox commPorts;

	public ConsoleAutoDetectFrame ()
	{
		config = new ConsoleConfig ();

		try
		{
			Thread.sleep (5000);
		}
		catch (InterruptedException e)
		{
			System.out.println (e);
		}

		getContentPane().setLayout (new BorderLayout ());
		setTitle ("Auto-detected Values");
		setSize (400, 300);
		setIconImage (ConsoleFrame.icon);

		JPanel buttons = new JPanel ();
		JButton okButton = new JButton ("OK");
		okButton.addActionListener (this);
		JButton saveButton = new JButton ("Save");
		saveButton.addActionListener (this);
		JButton cancelButton = new JButton ("Cancel");
		cancelButton.addActionListener (this);

		buttons.add (saveButton);
		buttons.add (okButton);
		buttons.add (cancelButton);
		getContentPane().add (buttons, "South");

	}

	public void actionPerformed (ActionEvent evt)
	{
		String arg = evt.getActionCommand ();

		System.out.println (arg);

		if (arg.equals ("Cancel"))
		{
			dispose ();
		}
		else if (arg.equals ("Save"))
		{
		}
		else if (arg.equals ("OK"))
		{
			dispose ();
		}
	}
}

class ConsoleAutoDetectProgressFrame extends JFrame
{
	private JLabel label = new JLabel ("Looking for Garmin GPS Devices");

	public ConsoleAutoDetectProgressFrame ()
	{
		setSize (200, 75);
		getContentPane().add (label);
	}

}

class ConsoleAutoDetectProgressThread extends Thread
{
	private boolean stopped = false;
	public void run ()
	{
		ConsoleAutoDetectProgressFrame d = new ConsoleAutoDetectProgressFrame ();

		d.show ();
		while (!stopped)
		{

		}
		// d.dispose ();
	}

	public void disappear ()
	{
		stopped = true;
	}
}
