package net.aetherial.gis.garmin;

import java.util.*;
import net.aetherial.gis.garmin.*;

public class DateTime600
{
	GregorianCalendar calendar;

	public DateTime600 (byte[] contents)
	{
		int year1, year2, hour1, hour2;
		year1 = (int) contents[3];
		year2 = (int) contents[2];
		hour1 = (int) contents[5];
		hour2 = (int) contents[4];
	
		if (year1 < 0)
			year1 = 256 + year1;
		if (year2 < 0)
			year2 = 256 + year2;

		if (hour1 < 0)
			hour1 = 256 + hour1;
		if (hour2 < 0)
			hour2 = 256 + hour2;

		int year = (year1 * 256) + year2;
		int hour = (hour1 * 256) + hour2;

		calendar = new GregorianCalendar (year, contents[0], contents[1], hour, contents[6], contents[7]);
	}

	public DateTime600 ()
	{
		LinkPacketConnection lpc;

		Command cmd = new Command (Command.CMND_TRANSFER_TIME);
		cmd.execute ();
 
		lpc = cmd.getLinkPacketConnection ();;
		LinkPacket lp = lpc.receive ();
 
		DateTime600 dt = new DateTime600 (lp.getPacketData ());

		calendar = dt.getCalendar ();

		lpc.destroy ();
	}

	public GregorianCalendar getCalendar ()
	{
		return calendar;
	}
}
